import { CircleGeometry, MeshBasicMaterial, Mesh, Vector3 } from "three";
import { Styles } from "../../styles/theme";
interface CreateCoordinateArcProps {
    style: Styles;
    currentVector: Vector3;
    material: MeshBasicMaterial;
    name: string;
}
/**
 * Creates a mesh for a coordinate arc of a bloch sphere element
 */
export default function createCoordinateArc({ style: { coordinateArcs: { segments, radius, labelOffset }, }, currentVector: { x, y, z }, material, name, }: CreateCoordinateArcProps): {
    arc: Mesh<CircleGeometry, MeshBasicMaterial, import("three").Object3DEventMap>;
    labelPosition: Vector3;
};
export declare const createCircleMaterial: ({ color, gradientStops, }: Styles["coordinateArcs"]["phi"] | Styles["coordinateArcs"]["theta"], name: string) => MeshBasicMaterial;
export {};
