import { Spherical } from "three";
export declare enum CameraPresets {
    XY = "XY",
    XY_FLIP = "XY_FLIP",
    YZ = "YZ",
    XZ = "XZ",
    XYZ = "XYZ",
    DEFAULT = "DEFAULT",
    LEFT = "LEFT",
    RIGHT = "RIGHT",
    TOP = "TOP",
    BOTTOM = "BOTTOM"
}
export type SphericalCameraPreset = Pick<Spherical, "phi" | "radius" | "theta">;
type SphericalCameraPresets = Record<CameraPresets, SphericalCameraPreset>;
export declare const CAMERA_RADIUS = 9.5;
declare const CAMERA_PRESETS: SphericalCameraPresets;
export { CAMERA_PRESETS };
export declare const THREE_OBJECT_TYPES: {
    GROUP: string;
    SPRITE: string;
    MESH: string;
    LINE: string;
    LINE2: string;
};
export declare const LABEL_NAMES: {
    THETA: string;
    PHI: string;
    THETA_ARC: string;
    PHI_ARC: string;
    NON_ERROR_STATE: string;
    INDICATOR_POINT: string;
};
export declare const RADIUS = 1;
export declare enum SCENE_OBJECT_UPDATE_TYPES {
    UPDATE_PATH_ANIMATION = "updatePathAnimation",
    CLEAR_SEGMENT_HIGHLIGHTS = "clearSegmentHighlights",
    SHOW_OR_HIDE_LABELS = "showOrHideLabels",
    SET_CAMERA_PRESET = "setCameraPreset",
    SET_COORDINATE_ARCS = "setCoordinateArcs",
    THREE_CLEANUP = "threeCleanup",
    UPDATE_THEME_SETTINGS = "updateThemeSettings",
    UPDATE_DATA = "updateData"
}
export declare const TOOLTIPS: {
    nonErrorState: string;
};
export declare const AVAILABLE_CAMERA_PRESETS: string[];
export declare const LABEL_DEFAULTS: {
    xAxis: boolean;
    yAxis: boolean;
    zAxis: boolean;
    theta: boolean;
    phi: boolean;
    northPole: boolean;
    southPole: boolean;
    nonErrorState: boolean;
    indicatorPoint: boolean;
};
export declare const NORTH_POLE: {
    x: number;
    y: number;
    z: number;
};
export declare const SOUTH_POLE: {
    x: number;
    y: number;
    z: number;
};
export declare const EQUATOR_EAST: {
    x: number;
    y: number;
    z: number;
};
export declare const EQUATOR_SOUTH: {
    x: number;
    y: number;
    z: number;
};
export declare const ORIGIN: {
    x: number;
    y: number;
    z: number;
};
