import { Vector3Tuple } from "three";
interface getRotationVectorsProps {
    start: Vector3Tuple;
    axis: Vector3Tuple;
    rotationRadians: number;
    generateArcVectors?: boolean;
}
export declare const GATE_RESOLUTION_FACTOR = 45;
/**
 * Gets an array of {@link https://threejs.org/docs/index.html#api/en/math/Vector3|Threejs Vectors3s}
 * that represent a plot of a rotation of a sphere in degrees around an axis from a starting vector
 */
declare const getRotationVectors: ({ start, axis, rotationRadians, generateArcVectors, }: getRotationVectorsProps) => Vector3Tuple[];
export default getRotationVectors;
