import { Vector3 } from "three";
import { IsCloseTolerance } from "../math/isClose";
interface ShouldLineBeArcProps {
    currentVector: Vector3;
    currentNonErrorStateVector: Vector3;
    tolerance: IsCloseTolerance;
}
/**
 * Returns true if the element type is bloch sphere and both of the vectors (the current error state vector and the non error state vector),
 * has a radius (in it's spherical coordinates) close to 1 within the given tolerance
 */
export default function shouldLineBeArc({ currentVector, currentNonErrorStateVector, tolerance, }: ShouldLineBeArcProps): boolean;
export {};
