import { Group, Color } from "three";
import { Line2 } from "three/examples/jsm/lines/Line2";
/**
 * Updates the styling of a piece of a segment of the path.
 * Style properties that can be updated are opacity/visibility, color and width.
 * Note that opacity is now just used to determine visibility of the line piece, so if there is any non zero opacity passed in, the line piece wil be drawn
 */
export default function updatePathDisplay(segmentGroupOrLineMesh: Group | Line2, { opacity: newOpacity, color: newColor, lineWidth: newLineWidth, }: {
    opacity?: number | null;
    color?: Color;
    lineWidth?: number;
}): void;
